org.codehaus.groovy.reflection

## Class GeneratedMetaMethod.DgmMethodRecord

- java.lang.Object
- - org.codehaus.groovy.reflection.GeneratedMetaMethod.DgmMethodRecord

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    GeneratedMetaMethod

      public static class GeneratedMetaMethod.DgmMethodRecord
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `className`
    `java.lang.String` | `methodName`
    `java.lang.Class[]` | `parameters`
    `java.lang.Class` | `returnType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratedMetaMethod.DgmMethodRecord()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<GeneratedMetaMethod.DgmMethodRecord>` | `loadDgmInfo()`
    `static void` | `saveDgmInfo(java.util.List<GeneratedMetaMethod.DgmMethodRecord> records, java.lang.String file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          public java.lang.String className

    - #### methodName

          public java.lang.String methodName

    - #### returnType

          public java.lang.Class returnType

    - #### parameters

          public java.lang.Class[] parameters

  - ### Constructor Detail

    - #### GeneratedMetaMethod.DgmMethodRecord

          public GeneratedMetaMethod.DgmMethodRecord()

  - ### Method Detail

    - #### saveDgmInfo

          public static void saveDgmInfo(java.util.List<GeneratedMetaMethod.DgmMethodRecord> records,
                         java.lang.String file)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### loadDgmInfo

          public static java.util.List<GeneratedMetaMethod.DgmMethodRecord> loadDgmInfo()
                                                                                 throws java.io.IOException,
                                                                                        java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`